///home/berryj/link/bin/genMethods "-t" "Testobj*" "-h" "Container" "-I" "LINK/basic/Container.h" "-I" "LINK/userobj/Testobj.h" "-d" "userobj" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Container.h>

#include <LINK/userobj/Testobj.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef Testobj* _Testobj_;
typedef Container<Testobj* > _Container_Testobj__;

#define _Container_Testobj__DATA(x) ((Container<Testobj* >*) (EXTDATA(x)))
#define _Container_Testobj__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Testobj* > >::type))
#define _Container_Testobj__ISNT_DATA(x) (!_Container_Testobj__IS_DATA(x))

#define _Container_Testobj__CXX_DATA(x) (*(Container<Testobj* >*) (EXTDATA(VAL(x))))
#define _Container_Testobj__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Testobj* > >::type))
#define _Container_Testobj__CXX_ISNT_DATA(x) (!_Container_Testobj__CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_Testobj__()
{
	Wrapper<_Container_Testobj__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_Testobj__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_Testobj__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_Testobj__Methods(void);

PRIMITIVE STk_init_methods__Container_Testobj__()
{
	genExtra_Container_Testobj__Methods();
	return UNDEFINED;
}
